/****************************************************************************/
/*                                                                          */
/*                      Chaine de CAO & VLSI   Alliance                     */
/*                                                                          */
/*    Produit :  NetOptim                                                   */
/*    Fichier :  delai.h                                                    */
/*                                                                          */
/*    (c) copyright 1993 Laboratoire MASI equipe CAO & VLSI                 */
/*    Tous droits reserves                                                  */
/*    Support : e-mail cao-vlsi@masi.ibp.fr                                 */
/*                                                                          */
/*    Auteur(s) : N. Dictus                             le : 16/07/1993     */
/*                                                                          */
/*    Modifie par :                                     le : ../../....     */
/*    Modifie par :                                     le : ../../....     */
/*    Modifie par :                                     le : ../../....     */
/*                                                                          */
/****************************************************************************/

long delaiCriticUp, delaiCriticDw;
long delaiCriticMinUp, delaiCriticMinDw;
loins_list *porteCriticUp, *porteCriticDw;
loins_list *porteCriticMinUp, *porteCriticMinDw;

long profondeurCircuit ;
loins_list *instProf ;

ptype_list *listeCritic;

pTH assignTH;

#define TOTCAPA 22
#define DELAIUP 23
#define DELAIDW 24
#define LOINSUP 25
#define LOINSDW 26
#define LOCONUP 27
#define LOCONDW 28
#define LOCONOUT 29
#define GENER   30
#define GENCON  31
#define REQUIUP 32
#define REQUIDW 33
#define SLACKUP 34
#define SLACKDW 35
#define CRITIC 36
#define DELAIMINUP 37
#define DELAIMINDW 38 
#define LOINSMINUP 39
#define LOINSMINDW 40
#define LOCONMINUP 41
#define LOCONMINDW 42

void cheminCritique();
long resistanceNot();
void prepareLofig();
long getInfoInst();
long getDelayIn();
void calcul_delaiIn();
void calcul_delai();
void delai();
void calcul_requiOut();
ptype_list *tripType();
void calcul_requi();
void requi();
ptype_list *moins();
ptype_list *addAll();
ptype_list *combinaison();
void displayTimingInst();
void displayTiming();
void assignFaninLofig();
void assignFaninEx();
